﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using DatabaseManagerMVC.UI.DynamicMVC.ViewModels.DynamicControls;
using DynamicMVC.DynamicEntityMetadataLibrary.Interfaces;
using DynamicMVC.Shared.Enums;

namespace DynamicMVC.UI.DynamicMVC.Strategies.DynamicMethodInvoker
{
    public class CalculateTotalMethodInvoker : IDynamicMethodInvoker
    {
        public CalculateTotalMethodInvoker()
        {
            PersistModel = true;
            ReturnSucessfulRedirect = true;
        }

        public bool PersistModel { get; set; }
        public bool ReturnSucessfulRedirect { get; set; }

        public string DynamicMethodInvokerName()
        {
            return this.GetType().Name;
        }

        public void InvokeMethodPreSaveOperation(Func<object, object[], object> invokeMethodFunction, dynamic id, NameValueCollection formCollection, dynamic model,ref string returnUrl, IDictionary<string, object> tempData, IDictionary<string, object> viewData)
        {
            invokeMethodFunction(model, null);
            returnUrl = "/Order/Details/" + id;
            tempData.Add("Message", new MessageViewModel(MessageTypeEnum.Success, "Calcution Successful!"));
        }

        public void InvokePostSaveOperation(Func<object, object[], object> invokeMethodFunction, dynamic id, NameValueCollection formCollection, dynamic model,ref string returnUrl, IDictionary<string, object> tempData, IDictionary<string, object> viewData)
        {
            
        }
    }
}